> For the complete documentation index, see [llms.txt](https://developers.bloomcredit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.bloomcredit.io/reference/v2.1/data-access/get-full-report.md).

# Get Full Report

## Get Full Report

> Full report with all credit report details plus core attributes. \
> Please note that for all non-gold tier SKUs, the core attributes will be returned as null. \
> The GraphQl query for this endpoint is:\
> \`\`\` graphql\
> query FullOrderReport($ORDER\_ID: uuid!, $order\_id: String!) {\
> &#x20; credit\_data\_order: credit\_data\_order\_by\_pk(order\_id: $ORDER\_ID) {\
> &#x20;   order\_date\
> &#x20;   order\_id\
> &#x20;   order\_sku\_id\
> &#x20;   bankruptcies {\
> &#x20;     current\_disposition\
> &#x20;     current\_disposition\_date\
> &#x20;     date\_filed\
> &#x20;     date\_reported\
> &#x20;     disposition\_date\
> &#x20;     id\
> &#x20;     industry\_id\
> &#x20;     order\_id\
> &#x20;     industry {\
> &#x20;       category\
> &#x20;       id\
> &#x20;       name\
> &#x20;     }\
> &#x20;   }\
> &#x20;   collections {\
> &#x20;     account {\
> &#x20;       account\_number\
> &#x20;       creditor {\
> &#x20;         industry {\
> &#x20;           category\
> &#x20;           id\
> &#x20;           name\
> &#x20;         }\
> &#x20;         address\
> &#x20;         bureau\
> &#x20;         email\
> &#x20;         id\
> &#x20;         industry\_id\
> &#x20;         name\
> &#x20;         phone\
> &#x20;         website\
> &#x20;       }\
> &#x20;       creditor\_id\
> &#x20;       date\_closed\
> &#x20;       date\_opened\
> &#x20;       id\
> &#x20;       name\
> &#x20;       type\
> &#x20;       type\_description\
> &#x20;     }\
> &#x20;     account\_id\
> &#x20;     credit\_data\_id\
> &#x20;     current\_balance\
> &#x20;     custumer\_number\
> &#x20;     disputed\
> &#x20;     id\
> &#x20;     industry\_code\
> &#x20;     original\_amount\
> &#x20;   }\
> &#x20;   consumer\_id\
> &#x20;   credit\_scores {\
> &#x20;     credit\_data\_id\
> &#x20;     id\
> &#x20;     model\
> &#x20;     score\_reasons {\
> &#x20;       id\
> &#x20;       narrative\
> &#x20;       score\_id\
> &#x20;     }\
> &#x20;     value\
> &#x20;   }\
> &#x20;   inquiries {\
> &#x20;     credit\_data\_id\
> &#x20;     date\
> &#x20;     id\
> &#x20;     industry\_id\
> &#x20;     inquirer\_name\
> &#x20;     industry {\
> &#x20;       category\
> &#x20;       id\
> &#x20;       name\
> &#x20;     }\
> &#x20;   }\
> &#x20;   mla\_statuses {\
> &#x20;     id\
> &#x20;     order\_id\
> &#x20;     referral\_contact\_number\
> &#x20;     regulated\_identifier\
> &#x20;     exist\
> &#x20;     covered\_borrower\_status\
> &#x20;   }\
> &#x20;   ofac\_statuses {\
> &#x20;     reference\
> &#x20;     order\_id\
> &#x20;     issue\_source\
> &#x20;     id\
> &#x20;     exist\
> &#x20;   }\
> &#x20;   tradelines {\
> &#x20;     account {\
> &#x20;       account\_number\
> &#x20;       creditor {\
> &#x20;         industry {\
> &#x20;           category\
> &#x20;           id\
> &#x20;           name\
> &#x20;         }\
> &#x20;         address\
> &#x20;         bureau\
> &#x20;         email\
> &#x20;         id\
> &#x20;         industry\_id\
> &#x20;         name\
> &#x20;         phone\
> &#x20;         website\
> &#x20;       }\
> &#x20;       creditor\_id\
> &#x20;       date\_closed\
> &#x20;       date\_opened\
> &#x20;       id\
> &#x20;       name\
> &#x20;       type\
> &#x20;       type\_description\
> &#x20;     }\
> &#x20;     account\_id\
> &#x20;     account\_rating\
> &#x20;     credit\_data\_id\
> &#x20;     credit\_limit\
> &#x20;     current\_balance\
> &#x20;     date\_effective\
> &#x20;     delinquency\_date\
> &#x20;     delinquency\_earliest\
> &#x20;     high\_credit\
> &#x20;     is\_active\
> &#x20;     late\_30\_days\_total\
> &#x20;     late\_60\_days\_total\
> &#x20;     late\_90\_days\_total\
> &#x20;     max\_delinquency\
> &#x20;     months\_reviewed\_count\
> &#x20;     most\_recent\_payment\_amount\
> &#x20;     most\_recent\_payment\_date\
> &#x20;     past\_due\
> &#x20;     payment\_pattern\_start\_date\
> &#x20;     scheduled\_monthly\_payment\
> &#x20;     is\_foreclosure\
> &#x20;     payment\_snapshots {\
> &#x20;       id\
> &#x20;       occurrence\_date\
> &#x20;       payment\_status\
> &#x20;       tradeline\_id\
> &#x20;     }\
> &#x20;   }\
> &#x20; }\
> &#x20; tradeline\_attributes: get\_tradeline\_attributes\_by\_order\_id(args: {id: $order\_id}) {\
> &#x20;   total\_tradelines\
> &#x20;   open\_tradelines\
> &#x20;   tradeline\_open\_last\_3\_months\
> &#x20;   tradeline\_open\_last\_6\_months\
> &#x20;   tradeline\_open\_last\_9\_months\
> &#x20;   tradeline\_open\_last\_12\_months\
> &#x20;   months\_oldest\_tradeline\_opened\
> &#x20;   months\_recent\_tradeline\_opened\
> &#x20;   total\_payment\_obligation\_open\_tradelines\
> &#x20;   months\_recent\_delinquency\
> &#x20;   total\_outstanding\_balance\_open\_tradelines\
> &#x20;   order\_id\
> &#x20; }\
> &#x20; revolving\_attributes: get\_revolving\_attributes\_by\_order\_id(args: {id: $order\_id}) {\
> &#x20;   active\_revolving\_open\_ended\_tradelines\_balance\_opened\_last\_12\_m\
> &#x20;   active\_revolving\_open\_ended\_tradelines\_balance\_opened\_last\_24\_m\
> &#x20;   average\_revolving\_open\_ended\_tradeline\_balance\
> &#x20;   maximum\_bank\_card\_utilization\
> &#x20;   months\_oldest\_revolving\_tradeline\_opened\
> &#x20;   months\_recent\_revolving\_tradeline\_opened\
> &#x20;   months\_recent\_tradeline\_revolving\_delinquency\
> &#x20;   open\_revolving\_tradelines\
> &#x20;   revolving\_rate\
> &#x20;   revolving\_tradelines\_opened\_last\_6\_months\
> &#x20;   total\_outstanding\_balance\_open\_revolving\_tradelines\
> &#x20;   total\_revolving\_tradelines\
> &#x20;   order\_id\
> &#x20; }\
> &#x20; mortgage\_attributes: get\_mortgage\_attributes\_by\_order\_id(args: {id: $order\_id}) {\
> &#x20;   active\_mortgage\_tradelines\_balance\
> &#x20;   months\_oldest\_mortgage\_tradeline\_opened\
> &#x20;   months\_recent\_mortgage\_tradeline\_delinquency\
> &#x20;   months\_recent\_mortgage\_tradeline\_opened\
> &#x20;   mortgage\_tradelines\_opened\_last\_6\_months\
> &#x20;   open\_mortgage\_tradelines\
> &#x20;   outstanding\_balance\_open\_mortgage\_tradeline\
> &#x20;   total\_monthly\_payment\_obligation\_for\_open\_mortgage\_tradelines\
> &#x20;   total\_mortgage\_tradelines\
> &#x20;   order\_id\
> &#x20; }\
> &#x20; auto\_attributes: get\_auto\_attributes\_by\_order\_id(args: {id: $order\_id}) {\
> &#x20;   auto\_tradelines\_opened\_last\_6\_months\
> &#x20;   months\_oldest\_auto\_tradeline\_opened\
> &#x20;   months\_recent\_auto\_tradeline\_delinquency\
> &#x20;   months\_recent\_auto\_tradeline\_opened\
> &#x20;   open\_autotradelines\
> &#x20;   outstanding\_balance\_open\_auto\_tradeline\
> &#x20;   total\_auto\_tradelines\
> &#x20;   total\_monthly\_payment\_obligation\_for\_open\_auto\_tradelines\
> &#x20;   order\_id\
> &#x20; }\
> &#x20; unsecured\_installment\_attributes: get\_unsecured\_installment\_attributes\_by\_order\_id(args: {id: $order\_id}) {\
> &#x20;   active\_installment\_tradelines\
> &#x20;   active\_installment\_tradelines\_opened\_last\_3\_months\
> &#x20;   months\_oldest\_unsecured\_installment\_tradelines\_opened\
> &#x20;   months\_recent\_unsecured\_installment\_tradeline\_delinquency\
> &#x20;   months\_recent\_unsecured\_installment\_tradelines\_opened\
> &#x20;   open\_unsecured\_installment\_tradelines\
> &#x20;   outstanding\_balance\_open\_unsecured\_installment\_tradelines\
> &#x20;   total\_monthly\_payment\_obligation\_for\_open\_unsecured\_installment\
> &#x20;   total\_unsecured\_installment\_tradelines\
> &#x20;   unsecured\_installment\_tradelines\_opened\_6\_months\
> &#x20;   order\_id\
> &#x20; }\
> &#x20; student\_loans\_attributes: get\_student\_loans\_attributes\_by\_order\_id(args: {id: $order\_id}) {\
> &#x20;   months\_oldest\_student\_loan\_tradelines\_opened\
> &#x20;   months\_recent\_student\_loan\_tradelines\_delinquency\
> &#x20;   months\_recent\_student\_loan\_tradelines\_opened\
> &#x20;   open\_student\_loan\_tradelines\
> &#x20;   outstanding\_balance\_open\_student\_loan\_tradelines\
> &#x20;   student\_loan\_monthly\_payment\
> &#x20;   student\_loan\_tradelines\_opened\_last\_6\_months\
> &#x20;   student\_loans\_deferment\
> &#x20;   total\_student\_loan\_tradelines\
> &#x20;   order\_id\
> &#x20; }\
> &#x20; delinquency\_attributes: get\_delinquency\_attributes\_by\_order\_id(args: {id: $order\_id}) {\
> &#x20;   tradelines\_currently\_dq30\
> &#x20;   tradelines\_currently\_dq60\
> &#x20;   order\_id\
> &#x20; }\
> &#x20; specialized\_attributes: get\_specialized\_attributes\_by\_order\_id(args: {id: $order\_id}) {\
> &#x20;   bankruptcies\
> &#x20;   foreclosures\
> &#x20;   inquiries\_last\_6\_months\
> &#x20;   inquiries\_on\_file\
> &#x20;   months\_recent\_bankruptcy\
> &#x20;   months\_recent\_public\_record\
> &#x20;   months\_recent\_third\_party\_collection\
> &#x20;   mortgage\_trade\_highest\_high\_credit\
> &#x20;   non\_medical\_collections\
> &#x20;   non\_mortgage\_non\_inquiries\_last\_6\_months\
> &#x20;   percent\_high\_revolving\_trade\_utilization\
> &#x20;   percent\_opened\_trades\_last\_24\_months\
> &#x20;   percent\_satisfactory\_trades\_last\_24\_months\
> &#x20;   tradeline\_dti\
> &#x20;   tradeline\_ndi\
> &#x20;   order\_id\
> &#x20; }\
> &#x20; worst\_attributes: get\_worst\_attributes\_by\_order\_id(args: {id: $order\_id}) {\
> &#x20;   worst\_rating\_all\_auto\_tradelines\_last\_12\_months\
> &#x20;   worst\_rating\_all\_mortgage\_tradelines\_last\_12\_months\
> &#x20;   worst\_rating\_all\_revolving\_tradelines\_last\_12\_months\
> &#x20;   worst\_rating\_all\_student\_loan\_tradelines\_last\_12\_months\
> &#x20;   worst\_rating\_all\_unsecured\_tradelines\_last\_12\_months\
> &#x20;   worst\_rating\_all\_tradelines\_last\_12\_months\
> &#x20;   order\_id\
> &#x20; }\
> }\
> \`\`\`\
> \
> \> \*\*Warning\*\*\
> \>\
> \> Please be aware that this endpoint has been recently updated. We have trimmed down some excess and/or unavailable fields and attributes returned by this endpoint. Please update your full-report schema as per updated response body.\
> \
> \## GraphQL Query\
> \
> The GraphQl query for this endpoint is:\
> \
> \`\`\`graphql\
> query FullOrderReport($ORDER\_ID: uuid!, $order\_id: String!) {\
> &#x20; credit\_data\_order: credit\_data\_order\_by\_pk(order\_id: $ORDER\_ID) {\
> &#x20;   order\_date\
> &#x20;   order\_id\
> &#x20;   alerts {\
> &#x20;     alert\_type\
> &#x20;     alert\_message\
> &#x20;     cellular\_number\
> &#x20;     daytime\_number\
> &#x20;     evening\_number\
> &#x20;     pager\_number\
> &#x20;   }\
> &#x20;   bankruptcies {\
> &#x20;     current\_disposition\
> &#x20;     current\_disposition\_date\
> &#x20;     date\_filed\
> &#x20;     date\_reported\
> &#x20;     disposition\_date\
> &#x20;     industry {\
> &#x20;       category\
> &#x20;       name\
> &#x20;     }\
> &#x20;   }\
> &#x20;   collections {\
> &#x20;     account {\
> &#x20;       account\_number\
> &#x20;       creditor {\
> &#x20;         industry {\
> &#x20;           category\
> &#x20;           name\
> &#x20;         }\
> &#x20;         address\
> &#x20;         email\
> &#x20;         name\
> &#x20;         phone\
> &#x20;         website\
> &#x20;       }\
> &#x20;       date\_closed\
> &#x20;       date\_opened\
> &#x20;       name\
> &#x20;       type\
> &#x20;       type\_description\
> &#x20;     }\
> &#x20;     current\_balance\
> &#x20;     custumer\_number\
> &#x20;     disputed\
> &#x20;     industry\_code\
> &#x20;     original\_amount\
> &#x20;   }\
> &#x20;   consumer\_id\
> &#x20;   credit\_scores {\
> &#x20;     model\
> &#x20;     score\_reasons {\
> &#x20;       narrative\
> &#x20;     }\
> &#x20;     value\
> &#x20;   }\
> &#x20;   inquiries {\
> &#x20;     date\
> &#x20;     inquirer\_name\
> &#x20;     industry {\
> &#x20;       category\
> &#x20;       name\
> &#x20;     }\
> &#x20;   }\
> &#x20;   mla\_statuses {\
> &#x20;     referral\_contact\_number\
> &#x20;     regulated\_identifier\
> &#x20;     covered\_borrower\_status\
> &#x20;   }\
> &#x20;   ofac\_statuses {\
> &#x20;     reference\
> &#x20;     issue\_source\
> &#x20;   }\
> &#x20;   tradelines {\
> &#x20;     account {\
> &#x20;       account\_number\
> &#x20;       date\_closed\
> &#x20;       date\_opened\
> &#x20;       name\
> &#x20;       type\
> &#x20;       type\_description\
> &#x20;       creditor {\
> &#x20;         address\
> &#x20;         email\
> &#x20;         industry {\
> &#x20;           category\
> &#x20;           name\
> &#x20;         }\
> &#x20;         name\
> &#x20;         phone\
> &#x20;         website\
> &#x20;       }\
> &#x20;     }\
> &#x20;     account\_rating\
> &#x20;     credit\_limit\
> &#x20;     current\_balance\
> &#x20;     date\_effective\
> &#x20;     delinquency\_date\
> &#x20;     high\_credit\
> &#x20;     late\_30\_days\_total\
> &#x20;     late\_60\_days\_total\
> &#x20;     late\_90\_days\_total\
> &#x20;     months\_reviewed\_count\
> &#x20;     most\_recent\_payment\_amount\
> &#x20;     most\_recent\_payment\_date\
> &#x20;     past\_due\
> &#x20;     payment\_pattern\_start\_date\
> &#x20;     scheduled\_monthly\_payment\
> &#x20;     is\_foreclosure\
> &#x20;     payment\_snapshots {\
> &#x20;       occurrence\_date\
> &#x20;       payment\_status\
> &#x20;     }\
> &#x20;   }\
> &#x20; }\
> &#x20; tradeline\_attributes: get\_tradeline\_attributes\_by\_order\_id(args: {id: $order\_id}) {\
> &#x20;   total\_tradelines\
> &#x20;   open\_tradelines\
> &#x20;   tradeline\_open\_last\_3\_months\
> &#x20;   tradeline\_open\_last\_6\_months\
> &#x20;   tradeline\_open\_last\_9\_months\
> &#x20;   tradeline\_open\_last\_12\_months\
> &#x20;   months\_oldest\_tradeline\_opened\
> &#x20;   months\_recent\_tradeline\_opened\
> &#x20;   months\_recent\_delinquency\
> &#x20; }\
> &#x20; revolving\_attributes: get\_revolving\_attributes\_by\_order\_id(args: {id: $order\_id}) {\
> &#x20;   active\_revolving\_open\_ended\_tradelines\_balance\_opened\_last\_12\_m\
> &#x20;   maximum\_bank\_card\_utilization\
> &#x20;   months\_oldest\_revolving\_tradeline\_opened\
> &#x20;   open\_revolving\_tradelines\
> &#x20;   revolving\_tradelines\_opened\_last\_6\_months\
> &#x20;   total\_revolving\_tradelines\
> &#x20; }\
> &#x20; mortgage\_attributes: get\_mortgage\_attributes\_by\_order\_id(args: {id: $order\_id}) {\
> &#x20;   months\_oldest\_mortgage\_tradeline\_opened\
> &#x20;   open\_mortgage\_tradelines\
> &#x20;   total\_mortgage\_tradelines\
> &#x20; }\
> &#x20; auto\_attributes: get\_auto\_attributes\_by\_order\_id(args: {id: $order\_id}) {\
> &#x20;   months\_recent\_auto\_tradeline\_opened\
> &#x20;   open\_autotradelines\
> &#x20;   total\_auto\_tradelines\
> &#x20; }\
> &#x20; unsecured\_installment\_attributes: get\_unsecured\_installment\_attributes\_by\_order\_id(args: {id: $order\_id}) {\
> &#x20;   active\_installment\_tradelines\
> &#x20;   active\_installment\_tradelines\_opened\_last\_3\_months\
> &#x20;   months\_recent\_unsecured\_installment\_tradeline\_delinquency\
> &#x20;   months\_recent\_unsecured\_installment\_tradelines\_opened\
> &#x20;   open\_unsecured\_installment\_tradelines\
> &#x20;   unsecured\_installment\_tradelines\_opened\_6\_months\
> &#x20; }\
> &#x20; student\_loans\_attributes: get\_student\_loans\_attributes\_by\_order\_id(args: {id: $order\_id}) {\
> &#x20;   outstanding\_balance\_open\_student\_loan\_tradelines\
> &#x20;   total\_student\_loan\_tradelines\
> &#x20; }\
> &#x20; specialized\_attributes: get\_specialized\_attributes\_by\_order\_id(args: {id: $order\_id}) {\
> &#x20;   foreclosures\
> &#x20;   months\_recent\_public\_record\
> &#x20;   months\_recent\_third\_party\_collection\
> &#x20;   percent\_opened\_trades\_last\_24\_months\
> &#x20; }\
> &#x20; worst\_attributes: get\_worst\_attributes\_by\_order\_id(args: {id: $order\_id}) {\
> &#x20;   worst\_rating\_all\_tradelines\_last\_12\_months\
> &#x20; }\
> }\
> \`\`\`

````json
{"openapi":"3.0.0","info":{"title":"Get Full Report","version":"1.1.0"},"tags":[{"name":"Get Full Report"}],"servers":[{"url":"https://sandbox.bloom.dev/v2/data-access"}],"security":[{"Oauth2ClientCredentials":[]}],"components":{"securitySchemes":{"Oauth2ClientCredentials":{"type":"oauth2","flows":{"clientCredentials":{"scopes":{"read:accounts":"Read accounts.","write:accounts":"Manage accounts."},"tokenUrl":"https://auth.bloom.dev//oauth/token"}}}},"schemas":{"auto_attributes":{"items":{"description":"columns and relationships of \"auto_attributes_by_order_id\"","properties":{"months_recent_auto_tradeline_opened":{"type":"string"},"open_autotradelines":{"type":"string"},"total_auto_tradelines":{"type":"string"}},"title":"auto_attributes_by_order_id","type":"object"},"type":"array"},"report.credit_data_order":{"description":"columns and relationships of \"credit_data_order\"","properties":{"bankruptcies":{"$ref":"#/components/schemas/report.bankruptcies"},"collections":{"$ref":"#/components/schemas/report.collections"},"consumer_id":{"pattern":"uuid","description":"consumer_id","type":"string"},"credit_scores":{"$ref":"#/components/schemas/report.credit_scores"},"inquiries":{"$ref":"#/components/schemas/report.inquiries"},"mla_statuses":{"$ref":"#/components/schemas/report.mla_statuses"},"ofac_statuses":{"$ref":"#/components/schemas/report.ofac_statuses"},"order_date":{"pattern":"date","type":"string"},"order_id":{"pattern":"uuid","type":"string"},"tradelines":{"$ref":"#/components/schemas/report.tradelines"}},"type":"object"},"report.bankruptcies":{"items":{"description":"columns and relationships of \"bankruptcies\"","properties":{"current_disposition":{"type":"string"},"current_disposition_date":{"pattern":"date","type":"string"},"date_filed":{"pattern":"date","type":"string"},"date_reported":{"pattern":"date","type":"string"},"disposition_date":{"type":"string"},"industry":{"$ref":"#/components/schemas/report.industry"}},"title":"bankruptcies","type":"object"},"type":"array"},"report.industry":{"description":"columns and relationships of \"industry\"","properties":{"category":{"type":"string"},"name":{"type":"string"}},"title":"industry","type":"object"},"report.collections":{"items":{"description":"columns and relationships of \"collection\"","properties":{"account":{"$ref":"#/components/schemas/report.account"},"current_balance":{"pattern":"float","type":"number"},"custumer_number":{"type":"string"},"disputed":{"type":"boolean"},"industry_code":{"type":"string"},"original_amount":{"pattern":"float","type":"number"}},"title":"collection","type":"object"},"type":"array"},"report.account":{"description":"columns and relationships of \"accounts\"","properties":{"account_number":{"type":"string"},"creditor":{"$ref":"#/components/schemas/report.creditor"},"date_closed":{"pattern":"date","type":"string"},"date_opened":{"pattern":"date","type":"string"},"name":{"type":"string"},"type":{"type":"string"},"type_description":{"type":"string"}},"title":"accounts","type":"object"},"report.creditor":{"description":"columns and relationships of \"creditors\"","properties":{"address":{"type":"string"},"email":{"type":"string"},"industry":{"$ref":"#/components/schemas/report.industry"},"name":{"type":"string"},"phone":{"type":"string"},"website":{"type":"string"}},"title":"creditors","type":"object"},"report.credit_scores":{"items":{"description":"columns and relationships of \"credit_scores\"","properties":{"model":{"type":"string"},"score_reasons":{"$ref":"#/components/schemas/report.score_reasons"},"value":{"type":"string"}},"title":"credit_scores","type":"object"},"type":"array"},"report.score_reasons":{"items":{"description":"columns and relationships of \"score_reasons\"","properties":{"narrative":{"type":"string"}},"title":"score_reasons","type":"object"},"type":"array"},"report.inquiries":{"items":{"description":"columns and relationships of \"inquiries\"","properties":{"date":{"pattern":"date","type":"string"},"industry":{"$ref":"#/components/schemas/report.industry"},"inquirer_name":{"type":"string"}},"title":"inquiries","type":"object"},"type":"array"},"report.mla_statuses":{"items":{"description":"columns and relationships of \"mla_status\"","properties":{"covered_borrower_status":{"type":"string"},"referral_contact_number":{"type":"string"},"regulated_identifier":{"type":"string"}},"title":"mla_status","type":"object"},"type":"array"},"report.ofac_statuses":{"items":{"description":"columns and relationships of \"ofac_status\"","properties":{"issue_source":{"type":"string"},"reference":{"type":"string"}},"title":"ofac_status","type":"object"},"type":"array"},"report.tradelines":{"items":{"description":"columns and relationships of \"tradelines\"","properties":{"account":{"$ref":"#/components/schemas/report.account"},"account_rating":{"type":"string"},"credit_limit":{"pattern":"float","type":"number"},"is_foreclosure":{"type":"boolean"},"current_balance":{"pattern":"float","type":"number"},"date_effective":{"pattern":"date","type":"string"},"delinquency_date":{"type":"string"},"high_credit":{"pattern":"float","type":"number"},"is_active":{"type":"boolean"},"late_30_days_total":{"type":"integer"},"late_60_days_total":{"type":"integer"},"late_90_days_total":{"type":"integer"},"months_reviewed_count":{"type":"integer"},"most_recent_payment_amount":{"pattern":"float","type":"number"},"most_recent_payment_date":{"pattern":"date","type":"string"},"past_due":{"pattern":"float","type":"number"},"payment_pattern_start_date":{"pattern":"date","type":"string"},"payment_snapshots":{"$ref":"#/components/schemas/report.payment_snapshots"},"scheduled_monthly_payment":{"type":"integer"}},"title":"tradelines","type":"object"},"type":"array"},"report.payment_snapshots":{"items":{"description":"columns and relationships of \"payment_snapshots\"","properties":{"occurrence_date":{"pattern":"date","type":"string"},"payment_status":{"type":"string"}},"title":"payment_snapshots","type":"object"},"type":"array"},"mortgage_attributes":{"items":{"description":"columns and relationships of \"mortgage_attributes_by_order_id\"","properties":{"months_oldest_mortgage_tradeline_opened":{"type":"string"},"open_mortgage_tradelines":{"type":"string"},"total_mortgage_tradelines":{"type":"string"}},"title":"mortgage_attributes_by_order_id","type":"object"},"type":"array"},"revolving_attributes":{"items":{"description":"columns and relationships of \"revolving_attributes_by_order_id\"","properties":{"active_revolving_open_ended_tradelines_balance_opened_last_12_m":{"type":"string"},"maximum_bank_card_utilization":{"type":"string"},"months_oldest_revolving_tradeline_opened":{"type":"string"},"open_revolving_tradelines":{"type":"string"},"revolving_tradelines_opened_last_6_months":{"type":"string"},"total_revolving_tradelines":{"type":"string"}},"title":"revolving_attributes_by_order_id","type":"object"},"type":"array"},"specialized_attributes":{"items":{"description":"columns and relationships of \"specialized_attributes_by_order_id\"","properties":{"foreclosures":{"type":"string"},"months_recent_public_record":{"type":"string"},"months_recent_third_party_collection":{"type":"string"},"percent_opened_trades_last_24_months":{"type":"string"}},"title":"specialized_attributes_by_order_id","type":"object"},"type":"array"},"student_loans_attributes":{"items":{"description":"columns and relationships of \"student_loans_attributes_by_order_id\"","properties":{"outstanding_balance_open_student_loan_tradelines":{"type":"string"},"total_student_loan_tradelines":{"type":"string"}},"title":"student_loans_attributes_by_order_id","type":"object"},"type":"array"},"tradeline_attributes":{"items":{"description":"columns and relationships of \"tradeline_attributes_by_order_id\"","properties":{"months_oldest_tradeline_opened":{"type":"string"},"months_recent_delinquency":{"type":"string"},"months_recent_tradeline_opened":{"type":"string"},"open_tradelines":{"type":"string"},"total_tradelines":{"type":"string"},"tradeline_open_last_12_months":{"type":"string"},"tradeline_open_last_3_months":{"type":"string"},"tradeline_open_last_6_months":{"type":"string"},"tradeline_open_last_9_months":{"type":"string"}},"title":"tradeline_attributes_by_order_id","type":"object"},"type":"array"},"unsecured_installment_attributes":{"items":{"description":"columns and relationships of \"unsecured_installment_attributes_by_order_id\"","properties":{"active_installment_tradelines":{"type":"string"},"active_installment_tradelines_opened_last_3_months":{"type":"string"},"months_recent_unsecured_installment_tradeline_delinquency":{"type":"string"},"months_recent_unsecured_installment_tradelines_opened":{"type":"string"},"open_unsecured_installment_tradelines":{"type":"string"},"unsecured_installment_tradelines_opened_6_months":{"type":"string"}},"title":"unsecured_installment_attributes_by_order_id","type":"object"},"type":"array"},"worst_attributes":{"description":"columns and relationships of \"worst_attributes_by_order_id\"","properties":{"worst_rating_all_tradelines_last_12_months":{"type":"string"}},"title":"worst_attributes_by_order_id","type":"object"}}},"paths":{"/orders/{orderId}/full-report":{"get":{"summary":"Get Full Report","description":"Full report with all credit report details plus core attributes. \nPlease note that for all non-gold tier SKUs, the core attributes will be returned as null. \nThe GraphQl query for this endpoint is:\n``` graphql\nquery FullOrderReport($ORDER_ID: uuid!, $order_id: String!) {\n  credit_data_order: credit_data_order_by_pk(order_id: $ORDER_ID) {\n    order_date\n    order_id\n    order_sku_id\n    bankruptcies {\n      current_disposition\n      current_disposition_date\n      date_filed\n      date_reported\n      disposition_date\n      id\n      industry_id\n      order_id\n      industry {\n        category\n        id\n        name\n      }\n    }\n    collections {\n      account {\n        account_number\n        creditor {\n          industry {\n            category\n            id\n            name\n          }\n          address\n          bureau\n          email\n          id\n          industry_id\n          name\n          phone\n          website\n        }\n        creditor_id\n        date_closed\n        date_opened\n        id\n        name\n        type\n        type_description\n      }\n      account_id\n      credit_data_id\n      current_balance\n      custumer_number\n      disputed\n      id\n      industry_code\n      original_amount\n    }\n    consumer_id\n    credit_scores {\n      credit_data_id\n      id\n      model\n      score_reasons {\n        id\n        narrative\n        score_id\n      }\n      value\n    }\n    inquiries {\n      credit_data_id\n      date\n      id\n      industry_id\n      inquirer_name\n      industry {\n        category\n        id\n        name\n      }\n    }\n    mla_statuses {\n      id\n      order_id\n      referral_contact_number\n      regulated_identifier\n      exist\n      covered_borrower_status\n    }\n    ofac_statuses {\n      reference\n      order_id\n      issue_source\n      id\n      exist\n    }\n    tradelines {\n      account {\n        account_number\n        creditor {\n          industry {\n            category\n            id\n            name\n          }\n          address\n          bureau\n          email\n          id\n          industry_id\n          name\n          phone\n          website\n        }\n        creditor_id\n        date_closed\n        date_opened\n        id\n        name\n        type\n        type_description\n      }\n      account_id\n      account_rating\n      credit_data_id\n      credit_limit\n      current_balance\n      date_effective\n      delinquency_date\n      delinquency_earliest\n      high_credit\n      is_active\n      late_30_days_total\n      late_60_days_total\n      late_90_days_total\n      max_delinquency\n      months_reviewed_count\n      most_recent_payment_amount\n      most_recent_payment_date\n      past_due\n      payment_pattern_start_date\n      scheduled_monthly_payment\n      is_foreclosure\n      payment_snapshots {\n        id\n        occurrence_date\n        payment_status\n        tradeline_id\n      }\n    }\n  }\n  tradeline_attributes: get_tradeline_attributes_by_order_id(args: {id: $order_id}) {\n    total_tradelines\n    open_tradelines\n    tradeline_open_last_3_months\n    tradeline_open_last_6_months\n    tradeline_open_last_9_months\n    tradeline_open_last_12_months\n    months_oldest_tradeline_opened\n    months_recent_tradeline_opened\n    total_payment_obligation_open_tradelines\n    months_recent_delinquency\n    total_outstanding_balance_open_tradelines\n    order_id\n  }\n  revolving_attributes: get_revolving_attributes_by_order_id(args: {id: $order_id}) {\n    active_revolving_open_ended_tradelines_balance_opened_last_12_m\n    active_revolving_open_ended_tradelines_balance_opened_last_24_m\n    average_revolving_open_ended_tradeline_balance\n    maximum_bank_card_utilization\n    months_oldest_revolving_tradeline_opened\n    months_recent_revolving_tradeline_opened\n    months_recent_tradeline_revolving_delinquency\n    open_revolving_tradelines\n    revolving_rate\n    revolving_tradelines_opened_last_6_months\n    total_outstanding_balance_open_revolving_tradelines\n    total_revolving_tradelines\n    order_id\n  }\n  mortgage_attributes: get_mortgage_attributes_by_order_id(args: {id: $order_id}) {\n    active_mortgage_tradelines_balance\n    months_oldest_mortgage_tradeline_opened\n    months_recent_mortgage_tradeline_delinquency\n    months_recent_mortgage_tradeline_opened\n    mortgage_tradelines_opened_last_6_months\n    open_mortgage_tradelines\n    outstanding_balance_open_mortgage_tradeline\n    total_monthly_payment_obligation_for_open_mortgage_tradelines\n    total_mortgage_tradelines\n    order_id\n  }\n  auto_attributes: get_auto_attributes_by_order_id(args: {id: $order_id}) {\n    auto_tradelines_opened_last_6_months\n    months_oldest_auto_tradeline_opened\n    months_recent_auto_tradeline_delinquency\n    months_recent_auto_tradeline_opened\n    open_autotradelines\n    outstanding_balance_open_auto_tradeline\n    total_auto_tradelines\n    total_monthly_payment_obligation_for_open_auto_tradelines\n    order_id\n  }\n  unsecured_installment_attributes: get_unsecured_installment_attributes_by_order_id(args: {id: $order_id}) {\n    active_installment_tradelines\n    active_installment_tradelines_opened_last_3_months\n    months_oldest_unsecured_installment_tradelines_opened\n    months_recent_unsecured_installment_tradeline_delinquency\n    months_recent_unsecured_installment_tradelines_opened\n    open_unsecured_installment_tradelines\n    outstanding_balance_open_unsecured_installment_tradelines\n    total_monthly_payment_obligation_for_open_unsecured_installment\n    total_unsecured_installment_tradelines\n    unsecured_installment_tradelines_opened_6_months\n    order_id\n  }\n  student_loans_attributes: get_student_loans_attributes_by_order_id(args: {id: $order_id}) {\n    months_oldest_student_loan_tradelines_opened\n    months_recent_student_loan_tradelines_delinquency\n    months_recent_student_loan_tradelines_opened\n    open_student_loan_tradelines\n    outstanding_balance_open_student_loan_tradelines\n    student_loan_monthly_payment\n    student_loan_tradelines_opened_last_6_months\n    student_loans_deferment\n    total_student_loan_tradelines\n    order_id\n  }\n  delinquency_attributes: get_delinquency_attributes_by_order_id(args: {id: $order_id}) {\n    tradelines_currently_dq30\n    tradelines_currently_dq60\n    order_id\n  }\n  specialized_attributes: get_specialized_attributes_by_order_id(args: {id: $order_id}) {\n    bankruptcies\n    foreclosures\n    inquiries_last_6_months\n    inquiries_on_file\n    months_recent_bankruptcy\n    months_recent_public_record\n    months_recent_third_party_collection\n    mortgage_trade_highest_high_credit\n    non_medical_collections\n    non_mortgage_non_inquiries_last_6_months\n    percent_high_revolving_trade_utilization\n    percent_opened_trades_last_24_months\n    percent_satisfactory_trades_last_24_months\n    tradeline_dti\n    tradeline_ndi\n    order_id\n  }\n  worst_attributes: get_worst_attributes_by_order_id(args: {id: $order_id}) {\n    worst_rating_all_auto_tradelines_last_12_months\n    worst_rating_all_mortgage_tradelines_last_12_months\n    worst_rating_all_revolving_tradelines_last_12_months\n    worst_rating_all_student_loan_tradelines_last_12_months\n    worst_rating_all_unsecured_tradelines_last_12_months\n    worst_rating_all_tradelines_last_12_months\n    order_id\n  }\n}\n```\n\n> **Warning**\n>\n> Please be aware that this endpoint has been recently updated. We have trimmed down some excess and/or unavailable fields and attributes returned by this endpoint. Please update your full-report schema as per updated response body.\n\n## GraphQL Query\n\nThe GraphQl query for this endpoint is:\n\n```graphql\nquery FullOrderReport($ORDER_ID: uuid!, $order_id: String!) {\n  credit_data_order: credit_data_order_by_pk(order_id: $ORDER_ID) {\n    order_date\n    order_id\n    alerts {\n      alert_type\n      alert_message\n      cellular_number\n      daytime_number\n      evening_number\n      pager_number\n    }\n    bankruptcies {\n      current_disposition\n      current_disposition_date\n      date_filed\n      date_reported\n      disposition_date\n      industry {\n        category\n        name\n      }\n    }\n    collections {\n      account {\n        account_number\n        creditor {\n          industry {\n            category\n            name\n          }\n          address\n          email\n          name\n          phone\n          website\n        }\n        date_closed\n        date_opened\n        name\n        type\n        type_description\n      }\n      current_balance\n      custumer_number\n      disputed\n      industry_code\n      original_amount\n    }\n    consumer_id\n    credit_scores {\n      model\n      score_reasons {\n        narrative\n      }\n      value\n    }\n    inquiries {\n      date\n      inquirer_name\n      industry {\n        category\n        name\n      }\n    }\n    mla_statuses {\n      referral_contact_number\n      regulated_identifier\n      covered_borrower_status\n    }\n    ofac_statuses {\n      reference\n      issue_source\n    }\n    tradelines {\n      account {\n        account_number\n        date_closed\n        date_opened\n        name\n        type\n        type_description\n        creditor {\n          address\n          email\n          industry {\n            category\n            name\n          }\n          name\n          phone\n          website\n        }\n      }\n      account_rating\n      credit_limit\n      current_balance\n      date_effective\n      delinquency_date\n      high_credit\n      late_30_days_total\n      late_60_days_total\n      late_90_days_total\n      months_reviewed_count\n      most_recent_payment_amount\n      most_recent_payment_date\n      past_due\n      payment_pattern_start_date\n      scheduled_monthly_payment\n      is_foreclosure\n      payment_snapshots {\n        occurrence_date\n        payment_status\n      }\n    }\n  }\n  tradeline_attributes: get_tradeline_attributes_by_order_id(args: {id: $order_id}) {\n    total_tradelines\n    open_tradelines\n    tradeline_open_last_3_months\n    tradeline_open_last_6_months\n    tradeline_open_last_9_months\n    tradeline_open_last_12_months\n    months_oldest_tradeline_opened\n    months_recent_tradeline_opened\n    months_recent_delinquency\n  }\n  revolving_attributes: get_revolving_attributes_by_order_id(args: {id: $order_id}) {\n    active_revolving_open_ended_tradelines_balance_opened_last_12_m\n    maximum_bank_card_utilization\n    months_oldest_revolving_tradeline_opened\n    open_revolving_tradelines\n    revolving_tradelines_opened_last_6_months\n    total_revolving_tradelines\n  }\n  mortgage_attributes: get_mortgage_attributes_by_order_id(args: {id: $order_id}) {\n    months_oldest_mortgage_tradeline_opened\n    open_mortgage_tradelines\n    total_mortgage_tradelines\n  }\n  auto_attributes: get_auto_attributes_by_order_id(args: {id: $order_id}) {\n    months_recent_auto_tradeline_opened\n    open_autotradelines\n    total_auto_tradelines\n  }\n  unsecured_installment_attributes: get_unsecured_installment_attributes_by_order_id(args: {id: $order_id}) {\n    active_installment_tradelines\n    active_installment_tradelines_opened_last_3_months\n    months_recent_unsecured_installment_tradeline_delinquency\n    months_recent_unsecured_installment_tradelines_opened\n    open_unsecured_installment_tradelines\n    unsecured_installment_tradelines_opened_6_months\n  }\n  student_loans_attributes: get_student_loans_attributes_by_order_id(args: {id: $order_id}) {\n    outstanding_balance_open_student_loan_tradelines\n    total_student_loan_tradelines\n  }\n  specialized_attributes: get_specialized_attributes_by_order_id(args: {id: $order_id}) {\n    foreclosures\n    months_recent_public_record\n    months_recent_third_party_collection\n    percent_opened_trades_last_24_months\n  }\n  worst_attributes: get_worst_attributes_by_order_id(args: {id: $order_id}) {\n    worst_rating_all_tradelines_last_12_months\n  }\n}\n```","parameters":[{"description":"_\"orderId\" is required (enter it either in parameters or request body)_","in":"path","name":"orderId","required":true,"schema":{"pattern":"uuid","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"auto_attributes":{"$ref":"#/components/schemas/auto_attributes"},"credit_data_order":{"$ref":"#/components/schemas/report.credit_data_order"},"mortgage_attributes":{"$ref":"#/components/schemas/mortgage_attributes"},"revolving_attributes":{"$ref":"#/components/schemas/revolving_attributes"},"specialized_attributes":{"$ref":"#/components/schemas/specialized_attributes"},"student_loans_attributes":{"$ref":"#/components/schemas/student_loans_attributes"},"tradeline_attributes":{"$ref":"#/components/schemas/tradeline_attributes"},"unsecured_installment_attributes":{"$ref":"#/components/schemas/unsecured_installment_attributes"},"worst_attributes":{"$ref":"#/components/schemas/worst_attributes"}}}}},"description":"Success"},"400":{"description":"Bad Request Error"},"401":{"description":"Unauthorized"}},"operationId":"get_orders-orderid-full-report","tags":["Get Full Report"]}}}}
````


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.bloomcredit.io/reference/v2.1/data-access/get-full-report.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
